### Method

# GObject BindingGroup set_source

since: 2.72

#### Declaration [src]

    void
    g_binding_group_set_source (
      GBindingGroup* self,
      GObject* source
    )

#### Description [src]

Sets `source` as the source object used for creating property bindings. If there is already a source object all bindings from it will be removed.

Note that all properties that have been bound must exist on `source`.

Available since: 2.72

Sets property | `GObject.BindingGroup:source`

#### Parameters

`source`

  Type: `GObject`

  The source `GObject`, or `NULL` to clear it.

  The argument can be `NULL`.
  The data is owned by the caller of the method.